Subject: bug#2859 closed by Glenn Morris <[email-masked]> (Re: bug#2859: 23.0.91; indent-tabs-mode and cua-rectangle editing when using the tab key)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 09 Apr 2009 17:45:06 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2859: 23.0.91; indent-tabs-mode and cua-rectangle editing when using the tab key

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
2859: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2859
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#2859: 23.0.91; indent-tabs-mode and cua-rectangle editing when using the tab key
From: Glenn Morris <[email-masked]>
To: [email-masked] (Kim F. Storm)
Cc: [email-masked]
Date: Thu, 09 Apr 2009 13:37:09 -0400

Kim F. Storm wrote:

> That's right - I have just committed a 1-line fix to the trunk.

Thanks.

Subject: 23.0.91; indent-tabs-mode and cua-rectangle editing when using the tab key
From: Stefan Reichör <[email-masked]>
To: [email-masked]
Date: Thu, 02 Apr 2009 14:29:26 +0200

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

(setq-default indent-tabs-mode nil)
I have set indent-tabs-mode to nil
This setting does not work during indenting with cua rectangle mode
The recent input below shows a test case:
Just go to the beginning of a line, hit C-RET
And hit tab to indent a line

I expect the line to be indented with blanks, but tabs are used here.

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/opt/rhel4/stow/emacs/share/emacs/23.0.91/etc/DEBUG for instructions.

In GNU Emacs 23.0.91.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2009-03-19 on pchagsrei
Windowing system distributor `The X.Org Foundation', version 11.0.60802000
configured using `configure  '--prefix=/opt/rhel4/stow/emacs' '--without-rsvg''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  whitespace-mode: t
  desktop-save-mode: t
  icomplete-mode: t
  eldoc-mode: t
  shell-dirtrack-mode: t
  global-cwarn-mode: t
  diff-auto-refine-mode: t
  global-auto-revert-mode: t
  recentf-mode: t
  cua-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  hs-minor-mode: t

Recent input:
<down> <down> <home> C-k C-k l i n e 1 <return> l i 
n e 2 <return> <up> <up> <C-return> <return> <tab> 
<C-return> <help-echo> M-x r e p o r t - e m <tab> 
b u <tab> <return>

Recent messages:
C-?:help M-p:pad M-o:open M-c:close M-b:blank M-s:string M-f:fill M-i:incr M-n:seq
line-move-visual: End of buffer [2 times]
Mark set
C-?:help M-p:pad M-o:open M-c:close M-b:blank M-s:string M-f:fill M-i:incr M-n:seq
line-move-visual: End of buffer [2 times]
ad-Orig-kill-line: End of buffer
Mark set
C-?:help M-p:pad M-o:open M-c:close M-b:blank M-s:string M-f:fill M-i:incr M-n:seq
Scanning for dabbrevs...100%
dabbrev-expand: No dynamic expansion for `cua-set-rec' found